'''
Statusbar, it's used as a "logger", it's a singleton used system-wide.
'''
from ..pygtkhelpers.delegates import SlaveView
import gtk

statusbar = gtk.Statusbar()

def log(msg):
    ctid = statusbar.get_context_id("services")
    statusbar.push(ctid, msg)

class StatusBar(SlaveView):
    def __init__(self, parent):
        self.parent = parent
        SlaveView.__init__(self)
        
    def create_ui(self):
        self.widget.add(statusbar)
