'''
Note, before running this test you should run publish_test.py (look at
the source of the module to do that)
'''
import avahilib
import logging
logging.basicConfig(level=logging.DEBUG)

class MyServiceDiscover(avahilib.AvahiServiceDiscovery):
    def on_service_resolved(self,serviceinfo):
        logging.debug("Address: {0.address}:{0.port}".format(serviceinfo))

def test_service_resolve():
    MyServiceDiscover("_test._tcp")

if __name__ == '__main__':
    import gtk
    test_service_resolve()
    gtk.main()
