'''
Setup files for the project, to write
'''
from distribute_setup import use_setuptools
use_setuptools()
from setuptools import setup, find_packages

setup(name='filesnake',
      version='0.1',
      description='Python Application to transfer files over LAN in easy way',
      author='Gabriele Lanaro',
      author_email='gabriele.lanaro@gmail.com',
      url='http://bitbucket.org/gabriele/filesnake',
      packages= find_packages(),
      package_data ={"filesnake.gui": ["glade/*.glade", "glade/images/*.png"]},
      license = "GPL",
      keywords = "lan file_transfer network utility",
      install_requires = "twisted",
      entry_points={
        "gui_scripts": ["filesnake = filesnake.__main__:main"]
        }
     )
