from decorator import decorator

@decorator
def extends(f, self , *a, **kw):
    '''
    This decorator automatically calls the method of the superclass
    '''
    fname = f.__name__
    getattr(super(type(self),self),fname)(*a,**kw)
    return f(self,*a,**kw)
    


def test(): 
    class B(object):
        def __init__(self, hello):
            print "hello from b"
            
    class A(B):
        @extends
        def __init__(self, hello):
            print "Hello"
    A("Hello")
if __name__ == '__main__':
    test()
