from filesnake.helpers.testing import PBRootTestCase
from mock import Mock
from filesnake.networking.server import FileReceiverRoot, FileServiceInfo

class RootTestCase(PBRootTestCase):
    port = 10000
    
    @property
    def pbroot(self):
        return FileReceiverRoot(session_manager = Mock(), contr = Mock(), port = self.port+1)
    
    def test_auth(self):
        '''
        '''
        result = self.root.callRemote("request_session","authorize","file.txt",1233)
        #return self.assertDeferEquals(result, "hello")
        return result

    def test_folder_maker(self):
        d = self.root.callRemote("get_folder_maker","hello")
        return d

    def test_file_service(self):
        return self.root.callRemote("get_directives")
