'''
Settings for the project, like using or not a library etc..
'''


try:
    import avahi
    avahi_available = True
except ImportError:
    avahi_available = False

import os,sys
from ConfigParser import ConfigParser

if sys.platform=="win32":
    home = os.environ.get("HOMEPATH")
else:
    home = os.environ.get("HOME")

config_path = home

config_file_name = ".filesnake"
config_file_path = os.path.join(config_path, config_file_name)

config = ConfigParser({"dest_dir": home})    
config.add_section("path")

config.read([config_file_path])

def store_config():
    config.write(open(config_file_path,"w"))

def dest_dir():
    return config.get("path", "dest_dir")
# To retrieve the destination dir, use: config.get("dest_dir")
