'''
How to run this test
====================

put yourself in the src/zeroconf directory::

    python -m tests.publish_test.py

'''
import avahilib
import gtk
import logging
logging.basicConfig(level=logging.DEBUG)

class MyService(avahilib.AvahiServicePublisher):
    def __init__(self, name, type, port):
        super(MyService,self).__init__(name, type, port)
        
    def on_connection_estabilished(self,):
        logging.debug("connection estabilished")
        
    def on_connection_failure(self, error):
        logging.debug("on_error"+str(error))

def test_init():
    MyService("merda", "_test._tcp", port=10000)
    gtk.main()

if __name__ == '__main__':
    test_init()
